#include "TMHistogrammingCheckButton.h"

//_____________________________________________________________________
TMHistogrammingCheckButton::TMHistogrammingCheckButton() :
  TMHistogramming(), fChecked(kFALSE)
{}
//_____________________________________________________________________
TMHistogrammingCheckButton::~TMHistogrammingCheckButton() {}
//_____________________________________________________________________
void TMHistogrammingCheckButton::ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::ProcessClusters(HenrikClusterFinderSPD* clFinder) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::ProcessEvent(eventHeaderStruct *event) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber) {
  TMHistogramming::StartEvent(event,globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  TMHistogramming::EndEvent(str, globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::Draw(TPad *pad) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingCheckButton::Reset() {
  fNrEvents = 0;
}
//______________________________________________________________________
void TMHistogrammingCheckButton::ResetAuto() {
  if (fAutoReset) {
    Reset();
  }
}
